
Robotics Service Bus - Tasks #242
Tasks # 240 (Resolved): Refactor C++ Implementation to 2011-04-13 Domain Model
namespace modifications
04/13/2011 06:20 PM - J. Wienke

Status: Resolved Start date: 04/13/2011
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: C++ Estimated time: 0.00 hour
Target version:
Description

    -  create eventprocessing namespace
        -  move EventProcessingStrategy here
        -  move Router here
    -  move converter namespace out of transport namespace
        -  move Converter to converter namespace
        -  move ConverterCollection to converter namespace

Associated revisions
Revision 55f9af15 - 04/14/2011 06:21 PM - J. Moringen
Renaming of EventProcessingStrategy according to
refs #242
    -  c++/core/src/rsb/eventprocessing/EventProcessingStrategy.{cpp, h}:

  moved here from c++/cor/src/rsb; changed namespace rsb ->
  rsb::eventprocessing

    -  c++/core/src/CMakeLists.txt: adapted for renamed files
    -  c++/core/src/rsb/transport/Router.{cpp, h}: adapted for changes in

  EventProcessingStrategy
    -  c++/core/test/rsb/eventprocessing/EventProcessingStrategyTest.cpp:

  moved here from c++/core/test/rsb/
    -  c++/core/test/CMakeLists.txt: adapted for renamed files

History
#1 - 04/14/2011 06:09 PM - J. Wienke
- Status changed from New to In Progress
- Assignee changed from S. Wrede to J. Wienke

#2 - 04/14/2011 06:31 PM - J. Moringen
- % Done changed from 0 to 50

#3 - 04/14/2011 08:48 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 50 to 100

Finally.... what a merging hack.
